ru.bitel.bgbilling.modules.tv.runtime

## Class TvDeviceRuntime

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.runtime.TvDeviceRuntime

- All Implemented Interfaces:
    Child<TvDeviceRuntime>

      public class TvDeviceRuntime
      extends java.lang.Object
      implements Child<TvDeviceRuntime>

  Отражение (т.е. уже не простой bean) TvDevice с которым мы будем работать.
  Author:
    amir

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ParameterMap` | `config`
    `java.util.Set<java.lang.Integer>` | `descendantIds` Коды всех потомков этого устройства
    `DeviceManager` | `deviceManager` Класс управления устройством.
    `ru.bitel.bgbilling.kernel.container.managed.ManagedBeanInfo<java.lang.Object>` | `deviceManagerInfo`
    `TvDeviceRuntime` | `parent` Родительское устройство
    `OrderManagerSet` | `saInstances` Скрипты, в порядке от rootDevice до данного устройства.
    `TvDevice` | `tvDevice`
    `java.lang.Integer` | `tvDeviceId`
    `TvDeviceType` | `tvDeviceType`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TvDeviceRuntime` | `getParent()`
    `TvDeviceRuntime` | `getParent(java.util.Set<java.lang.Integer> accountingRootDeviceIds)`
    `void` | `saInstancesDestroy()` Освобождение ресурсов saInstances - у всех объектов ServiceActivator вызывается destroy

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tvDeviceId

          public final java.lang.Integer tvDeviceId

    - #### tvDevice

          public final TvDevice tvDevice

    - #### tvDeviceType

          public final TvDeviceType tvDeviceType

    - #### config

          public final ParameterMap config

    - #### saInstances

          public OrderManagerSet saInstances

      Скрипты, в порядке от rootDevice до данного устройства.

    - #### deviceManager

          public DeviceManager deviceManager

      Класс управления устройством.

    - #### deviceManagerInfo

          public ru.bitel.bgbilling.kernel.container.managed.ManagedBeanInfo<java.lang.Object> deviceManagerInfo

    - #### parent

          public final TvDeviceRuntime parent

      Родительское устройство

    - #### descendantIds

          public final java.util.Set<java.lang.Integer> descendantIds

      Коды всех потомков этого устройства

  - ### Method Detail

    - #### getParent

          public TvDeviceRuntime getParent()

      Specified by:
        `getParent` in interface `Child<TvDeviceRuntime>`

    - #### saInstancesDestroy

          public void saInstancesDestroy()

      Освобождение ресурсов saInstances - у всех объектов ServiceActivator вызывается destroy

    - #### getParent

          public TvDeviceRuntime getParent(java.util.Set<java.lang.Integer> accountingRootDeviceIds)